<?php
class Chart {
  
  var $_width;
  var $_height;
  var $_sections;
  var $_background_color;
  var $_border_color;
  var $_border_width;
  var $_font_size;
  
  function setBackgroundColor($background_color) {
    $this->_background_color = $background_color;
    
    return true;
  }
  
  function setBorderColor($border_color) {
    $this->_border_color = $border_color;
    
    return true;
  }
  
  function setBorderWidth($border_width) {
    $this->_border_width = $border_width;
    
    return true;
  }
  
  function setFontSize($font_size) {
    $this->_font_size = $font_size;
    
    return true;
  }
  
  function addSection($amount, $color='FF0000', $text='', $text_color='FFFFFF') {
    $this->_sections[] = Array($amount, $color, $text, $text_color);
    
    return true;
  }
  
  function convertRGB($color) {
    $color_int = hexdec($color);
    $color_red = 0xFF & ($color_int >> 0x10);
    $color_green = 0xFF & ($color_int >> 0x8);
    $color_blue = 0xFF & ($color_int);
    
    return Array('red' => $color_red, 'green' => $color_green, 'blue' => $color_blue);
  }
  
  function multiSortOnValue($array, $sort_key) {
    $tmp_array = Array();
    $tmp_array_values = Array();
    foreach ($array as $key => $value) {
      $tmp_array_values[$key] = $value[$sort_key];
    }
    arsort($tmp_array_values);
    foreach ($tmp_array_values as $key => $value) {
      $tmp_array[] = $array[$key];
    }
    $array = $tmp_array;
    
    return $array;
  }
  
}
?>
